Get all documents Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
GET /api/v1/document

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [clients, file].

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • filter[name] string

    Filter by partial document title

  • filter[created_before] string

    date Filter documents created before a given date. Format: YYYY-MM-DD

  • filter[created_after] string

    date Filter documents created after a given date. Format: YYYY-MM-DD

  • filter[client_uuids] string

    Filter by a comma separated list of client UUIDs.

  • filter[circle_uuids] string

    Comma separated string of circle UUIDs to filter by.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at]. Negative sign to denote DESC. Defaults to 'updated_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • version integer
      • name string
      • status string
      • last_publishing_error string
      • required_dependants object
        Hide required_dependants attribute Show required_dependants attribute object
        • client-1 string
      • known_dependants object
        Hide known_dependants attribute Show known_dependants attribute object
        • client-1 string
      • public_docx_url string
      • public_sfdt_url string
      • public_pdf_url string
      • public_preview_url string
GET /api/v1/document
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/document' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    [
      {
        "uuid": "3f63fb36-5fa8-4fe8-9969-6cee1577408b",
        "created_at": "2026-07-17T15:25:29+01:00",
        "updated_at": "2026-07-17T15:25:29+01:00",
        "version": 3,
        "name": "Welcome Template",
        "status": "published",
        "last_publishing_error": "There was an error converting this file to PDF. Please try again later.",
        "required_dependants": {
          "client-1": "client"
        },
        "known_dependants": {
          "client-1": "ece4f889-5da0-483a-be12-775eb176a32d"
        },
        "public_docx_url": "https://api.plannrcrm.com/document/4ea5f4e9-a7ea-4996-b0cd-54bba56a5641/content/docx?plannr_account_uuid=b2fbf9c6-7c3a-45a6-a1ff-dcf90010c4fc",
        "public_sfdt_url": "https://api.plannrcrm.com/document/57e90f04-ce2a-471e-a86a-a4f72853b0a0/content/sfdt?plannr_account_uuid=ae4ea6d7-2830-4647-91e6-b10a12b1e4fd",
        "public_pdf_url": "https://api.plannrcrm.com/document/f9c53f2b-9ffb-4e97-a6a4-f8dcc2ae54ed/content/pdf?plannr_account_uuid=d7df2aca-f064-4072-8b53-9659998b8b1c",
        "public_preview_url": "https://api.plannrcrm.com/document/92c35291-06dc-41aa-8895-88699af0c734/content/preview?plannr_account_uuid=41d9eaf2-78c2-4304-a9f6-e857da0a99ab"
      }
    ]
  ]
}